> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar projetos de um grupo

> Retorna, de forma paginada, os projetos associados ao grupo, sempre na ordem definida dentro do grupo — este endpoint não aceita ordenação personalizada. Cada projeto vem com as respostas dos formulários dinâmicos já preenchidas.

Os filtros usam o mesmo formato da [busca avançada](https://docs.olie.ai/api-reference/general/advanced-search) e a resposta segue o padrão de [paginação](https://docs.olie.ai/api-reference/general/pagination).



## OpenAPI

````yaml /api-reference/openapi.json post /api/management/project-groups/{project_group}/projects/index
openapi: 3.0.0
info:
  title: Olie API
  version: 1.0.0
  description: >
    # Introdução 👋


    Olá! Esta é a documentação oficial da API da [olie.ai](https://olie.ai/).
    Aqui você encontra as referências e exemplos de uso dos nossos endpoints.


    Para uma visão completa, recomendamos fortemente que você leia a
    [documentação oficial](https://docs.olie.ai/api-reference/introduction). Lá
    estão detalhados tópicos essenciais como
    [autenticação](https://docs.olie.ai/api-reference/introduction/authentication),
    [estrutura de
    respostas](https://docs.olie.ai/api-reference/general/response-structure),
    [paginação](https://docs.olie.ai/api-reference/general/pagination) e outros
    guias de integração.


    No Postman, esta coleção foca nas informações específicas de cada requisição
    (endpoints, parâmetros e exemplos), servindo como apoio rápido para testes e
    desenvolvimento.
servers:
  - url: https://api.olie.ai
security:
  - BearerAuth: []
paths:
  /api/management/project-groups/{project_group}/projects/index:
    parameters:
      - name: project_group
        in: path
        required: true
        description: ID (UUID) do grupo de projetos.
        schema:
          type: string
        example: ''
    post:
      tags:
        - project-groups
        - projects
        - index
      summary: Listar projetos de um grupo
      description: >-
        Retorna, de forma paginada, os projetos associados ao grupo, sempre na
        ordem definida dentro do grupo — este endpoint não aceita ordenação
        personalizada. Cada projeto vem com as respostas dos formulários
        dinâmicos já preenchidas.


        Os filtros usam o mesmo formato da [busca
        avançada](https://docs.olie.ai/api-reference/general/advanced-search) e
        a resposta segue o padrão de
        [paginação](https://docs.olie.ai/api-reference/general/pagination).
      operationId: retornaUmaListaDeProjetosAssociadosAUmGrupo
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                filters:
                  type: array
                  items: {}
                page:
                  type: integer
                perPage:
                  type: integer
                trashed:
                  type: boolean
                template:
                  type: boolean
                withPercentage:
                  type: boolean
            example:
              filters: []
              page: 1
              perPage: 30
              trashed: false
              template: false
              withPercentage: false
      responses:
        '200':
          description: Sucesso
          content:
            application/json:
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      from:
                        type: integer
                      last_page:
                        type: integer
                      per_page:
                        type: integer
                      to:
                        type: integer
                      total:
                        type: integer
                  response:
                    type: boolean
                  projects:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        old_id:
                          nullable: true
                        code:
                          type: string
                        name:
                          type: string
                        description:
                          type: string
                        impact:
                          type: integer
                        parent_id:
                          nullable: true
                        frame_id:
                          type: string
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        customer_id:
                          type: string
                        contact_id:
                          type: integer
                        share_token:
                          nullable: true
                        share_settings:
                          nullable: true
                        merged_id:
                          nullable: true
                        status:
                          type: integer
                        budget:
                          type: integer
                        is_template:
                          type: boolean
                        created_by:
                          nullable: true
                        deleted_at:
                          nullable: true
                        headquarter:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            parent_id:
                              nullable: true
                            parent:
                              nullable: true
                        form_answers:
                          type: array
                          items: {}
                        tasks:
                          type: array
                          items: {}
                        customer:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            parent_id:
                              nullable: true
                            parent:
                              nullable: true
                        contact:
                          type: object
                          properties:
                            id:
                              type: integer
                            name:
                              type: string
                            role:
                              type: string
                            email:
                              type: string
                              format: email
                            phone:
                              type: string
                              format: utc-millisec
                            description:
                              nullable: true
                            frame_id:
                              type: string
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            deleted_at:
                              nullable: true
                            customers:
                              type: array
                              items: {}
                        funnels:
                          type: array
                          items: {}
                        funnel_steps:
                          type: array
                          items: {}
                        tags:
                          type: array
                          items: {}
                        groups:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              name:
                                type: string
                        users:
                          type: array
                          items: {}
                        frame:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            subdomain:
                              type: string
                            model_forms:
                              nullable: true
                        form:
                          nullable: true
                        executors:
                          type: array
                          items: {}
                        costs:
                          nullable: true
              example:
                meta:
                  current_page: 1
                  from: 1
                  last_page: 1
                  per_page: 30
                  to: 2
                  total: 2
                response: true
                projects:
                  - id: 019aeaa3-b2d5-71f6-84c5-322f66c1a406
                    old_id: null
                    code: P-1
                    name: Reforma da loja do centro
                    description: Troca de piso, vitrine e iluminação.
                    impact: 3
                    parent_id: null
                    frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                    created_at: '2025-12-04T18:33:08.000000Z'
                    updated_at: '2025-12-04T18:33:08.000000Z'
                    customer_id: 019aeaa3-afaa-7294-b6f9-c9ab2653c84e
                    contact_id: 12560
                    share_token: null
                    share_settings: null
                    merged_id: null
                    status: 1
                    budget: 15000
                    is_template: false
                    created_by: null
                    deleted_at: null
                    headquarter:
                      id: 019aeaa3-afaa-7294-b6f9-c9ab2653c84e
                      name: Customer Name Example
                      parent_id: null
                      parent: null
                    form_answers: []
                    tasks: []
                    customer:
                      id: 019aeaa3-afaa-7294-b6f9-c9ab2653c84e
                      name: Customer Name Example
                      parent_id: null
                      parent: null
                    contact:
                      id: 12560
                      name: Contact Name Example
                      role: Comprador
                      email: email@example.org
                      phone: '+5511999998888'
                      description: null
                      frame_id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      created_at: '2025-12-04T18:33:07.000000Z'
                      updated_at: '2025-12-04T18:33:07.000000Z'
                      deleted_at: null
                      customers: []
                    funnels: []
                    funnel_steps: []
                    tags: []
                    groups:
                      - id: 019aeaa3-c1f0-72a4-9d3b-6b8f0e5a1c77
                        name: Campanhas 2026
                    users: []
                    frame:
                      id: 019aeaa3-2778-73ec-8f8d-59d06cc59dca
                      name: OlieDev Company
                      subdomain: devframe
                      model_forms: null
                    form: null
                    executors: []
                    costs: null
        '422':
          description: Filtro inválido
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: boolean
                  message:
                    type: string
                  error:
                    type: string
                  validation:
                    type: object
                    properties:
                      field:
                        type: array
                        items:
                          type: string
              example:
                response: false
                message: validation_errors
                error: >-
                  O campo [campo_inexistente] selecionado é inválido. Campos
                  disponíveis: id, code, name, description, impact, status,
                  budget, funnel_status_at, funnel_forecast_date, funnel_status,
                  funnel_tags, parent, children, customer, contact, assignee,
                  creator, created_at, funnels, funnel_steps,
                  funnel_step_linked_at, completed_percentage,
                  channel_awaiting_reply_since, project_groups, answer_pool,
                  project_step_form_answer_pool,
                  project_funnel_assignments_answer_pool,
                  project_loose_form_answer_pool, name_code.
                validation:
                  field:
                    - >-
                      O campo [campo_inexistente] selecionado é inválido. Campos
                      disponíveis: id, code, name, description, impact, status,
                      budget, funnel_status_at, funnel_forecast_date,
                      funnel_status, funnel_tags, parent, children, customer,
                      contact, assignee, creator, created_at, funnels,
                      funnel_steps, funnel_step_linked_at, completed_percentage,
                      channel_awaiting_reply_since, project_groups, answer_pool,
                      project_step_form_answer_pool,
                      project_funnel_assignments_answer_pool,
                      project_loose_form_answer_pool, name_code.
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````